> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiworkflow executions actions



## OpenAPI

````yaml /api-reference/openapi.json post /api/workflow-executions/{executionId}/actions
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /api/workflow-executions/{executionId}/actions:
    post:
      tags:
        - WorkflowExecution
      parameters:
        - name: executionId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WorkflowsWorkflowExecutionActionRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/WorkflowsWorkflowExecutionActionRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/WorkflowsWorkflowExecutionActionRequest'
      responses:
        '200':
          description: OK
components:
  schemas:
    WorkflowsWorkflowExecutionActionRequest:
      type: object
      properties:
        action:
          type: string
          nullable: true
        reason:
          type: string
          nullable: true
        stepId:
          type: string
          format: uuid
          nullable: true
      additionalProperties: false

````